ExtensionDesc (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.ExtensionDesc class
Date: 2018-03-18

net.sourceforge.jnlp

## Class ExtensionDesc

- java.lang.Object
- - net.sourceforge.jnlp.ExtensionDesc

-     public class ExtensionDesc
      extends java.lang.Object

  The extension element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionDesc(java.lang.String name, Version version, java.net.URL location)` Create an extention descriptor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addPart(java.lang.String extPart, java.lang.String part, boolean lazy)` Adds an extension part to be downloaded when the specified part of the main JNLP file is loaded.
    `java.lang.String[]` | `getExtensionParts(java.lang.String thisPart)`
    `JNLPFile` | `getJNLPFile()`
    `java.net.URL` | `getLocation()`
    `java.lang.String` | `getName()`
    `Version` | `getVersion()`
    `void` | `resolve()` Resolves the extension by creating a JNLPFile from the file specified by the extension's location property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionDesc

          public ExtensionDesc(java.lang.String name,
                               Version version,
                               java.net.URL location)

      Create an extention descriptor.
      Parameters:
        `name` - the extension name
        `version` - the required version of the extention JNLPFile
        `location` - the location of the extention JNLP file

  - ### Method Detail

    - #### addPart

          protected void addPart(java.lang.String extPart,
                                 java.lang.String part,
                                 boolean lazy)

      Adds an extension part to be downloaded when the specified part of the main JNLP file is loaded. The extension part will be downloaded before the application is launched if the lazy value is false or the part is empty or null.
      Parameters:
        `extPart` - the part name in the extension file
        `part` - the part name in the main file
        `lazy` - whether to load the part before launching

    - #### getExtensionParts

          public java.lang.String[] getExtensionParts(java.lang.String thisPart)

      Parameters:
        `thisPart` - unimplemented
      Returns:
        the parts in the extension JNLP file mapped to the part of the main file.

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the extension.

    - #### getVersion

          public Version getVersion()

      Returns:
        the required version of the extension JNLP file.

    - #### getLocation

          public java.net.URL getLocation()

      Returns:
        the location of the extension JNLP file.

    - #### resolve

          public void resolve()
                       throws ParseException,
                              java.io.IOException

      Resolves the extension by creating a JNLPFile from the file specified by the extension's location property.
      Throws:
        `java.io.IOException` - if the extension JNLPFile could not be resolved.
        `ParseException` - if the extension JNLPFile could not be parsed or was not a component or installer descriptor.

    - #### getJNLPFile

          public JNLPFile getJNLPFile()

      Returns:
        a JNLPFile for the extension, or null if the JNLP file has not been resolved.

Submit a bug or feature